Docs

Add File Link

POST /Drives/{driveId}/files/{fileId}/links

POST/Drives/{driveId}/files/{fileId}/links

Creates a public shareable link for a file that gives unauthenticated access through Drives_GetDriveLink and Drives_GetDriveFileLink. The permissions set on the link are stored and returned to viewers, not enforced. Requires File.* (admin) on the file.

Path Parameters

FieldTypeRequiredDescription
driveIduuidRequired
fileIduuidRequired

Request Body

FieldTypeRequiredDescription
namestringOptional
permissionsstring[]Optional